
exports.up = function (knex, Promise) {
    return knex.schema.createTable('events_recipients', function (table) {
        table.increments('id'); //autoincrementing (non-nullable) primary key

        table.integer('mid').notNullable()
            .references('mid').inTable('messages_events')
            .onDelete('CASCADE'); //if event is deleted, also delete recipients

        table.integer('gid').notNullable()
            .references('gid').inTable('groups')
            .onDelete('CASCADE'); //if group is deleted, also delete recipient
    });
};

exports.down = function (knex, Promise) {
    return knex.schema.dropTable('events_recipients');
};
